# Reserved Devices

{% hint style="info" %}
This feature is only available on our Premium and Enterprise plans. [Contact us](https://appetize.io/contact-us) to learn more.
{% endhint %}

With reserved devices, Appetize will pre-install your specified apps onto a set of virtual devices. These devices are set aside for solely your use.

When an incoming session is requested for your app, the session can be served from one of these reserved devices, and loads nearly instantaneously for you user. The user does not need to wait for the download and installation of your app, or in rare cases needing to switch the device if the requested device is unavailable. Loading time is extremely fast.

### Requesting Reserved Devices

To request a reserved device through Appetize, you need to provide specific information.

* **buildId:** Application build identifier (previously known as publicKey).
* **deviceType:** The device that is going to be reserved. e.g., iphone14pro.
* **OSVersion:** The operating system version for the device. e.g., 17.2.

See [Devices & OS Versions](https://docs.appetize.io/features/devices-and-os-versions) for possible device combinations.

### Accessing your Reserved Device

Once your reserved device has been configured and is ready for use, you can access it through the following URL:

Replace the **buildId**, **deviceType**, and **OSVersion** placeholders with the values provided.

{% code overflow="wrap" %}

```
https://appetize.io/app/{buildId}?device={deviceType}&osVersion={OSVersion}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appetize.io/features/advanced-features/reserved-devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
